STTY(3C)

NAME
stty, gtty - set and get terminal state

SYNOPSIS
#include <sgtty.h>

stty(fd, buf)
int fd;
struct sgttyb *buf;

gtty(fd, buf)
int fd;
struct sgttyb *buf;

DESCRIPTION

Note: this interface is obsoleted by ioctl(2).

stty() sets the state of the terminal associated with fd. stty() retrieves the state of the terminal associated with fd. To set the state of a terminal the call must have write permission.

The stty() call is actually

    ioctl(fd, TIOCSETP, buf)

while the gtty() call is

    ioctl(fd, TIOCGETP, buf)

See ioctl(2) and ttcompat(4M) for an explanation.

DIAGNOSTICS

If the call is successful 0 is returned, otherwise -1 is returned and the global variable errno contains the reason for the failure.

SEE ALSO
ioctl(2), ttcompat(4M)